GET
https://api.cryptohopper.com/v1/user/notifications
Returns the user's notifications of the last 6 hours, newest first, at most 20.
OAuth scope:
read About scopes
The API gateway does not forward query parameters for this route, so paging is not available.
Example request
curl "https://api.cryptohopper.com/v1/user/notifications" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/user/notifications', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/user/notifications",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/user/notifications');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": [
{
"message_type": "trade_completed",
"title": "Trade completed",
"message": "Sold 0.01 BTC for 650.00 USDT",
"link": "",
"extra_data": [],
"date": "2026-09-25 14:02:11"
}
]
}